## org.apache.batik.gvt.font
Class AWTFontFamily

    java.lang.Object
      org.apache.batik.gvt.font.AWTFontFamily

All Implemented Interfaces:
  GVTFontFamily

public class AWTFontFamily
extends java.lang.Object
implements GVTFontFamily

A font family class for AWT fonts.

Field Summary
`protected java.awt.Font` `font`
`protected GVTFontFace` `fontFace`

Constructor Summary
`AWTFontFamily(GVTFontFace fontFace)` Constructs an AWTFontFamily with the specified familyName.
`AWTFontFamily(GVTFontFace fontFace, java.awt.Font font)` Constructs an AWTFontFamily with the specified familyName.
`AWTFontFamily(java.lang.String familyName)` Constructs an AWTFontFamily with the specified familyName.

Method Summary
`GVTFont` `deriveFont(float size, java.text.AttributedCharacterIterator aci)` Derives a GVTFont object of the correct size.
`java.lang.String` `getFamilyName()` Returns the font family name.
`GVTFontFace` `getFontFace()` Returns the font-face information for this font family.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fontFace

    protected GVTFontFace fontFace

### font

    protected java.awt.Font font

Constructor Detail

### AWTFontFamily

    public AWTFontFamily(GVTFontFace fontFace)

  Constructs an AWTFontFamily with the specified familyName.

### AWTFontFamily

    public AWTFontFamily(java.lang.String familyName)

  Constructs an AWTFontFamily with the specified familyName.

Parameters:
  `familyName` - The name of the font family.

### AWTFontFamily

    public AWTFontFamily(GVTFontFace fontFace,
                         java.awt.Font font)

  Constructs an AWTFontFamily with the specified familyName.

Method Detail

### getFamilyName

    public java.lang.String getFamilyName()

  Returns the font family name.

  Specified by:
    `getFamilyName` in interface `GVTFontFamily`
  Returns:
    The family name.

### getFontFace

    public GVTFontFace getFontFace()

  Returns the font-face information for this font family.

  Specified by:
    `getFontFace` in interface `GVTFontFamily`

### deriveFont

    public GVTFont deriveFont(float size,
                              java.text.AttributedCharacterIterator aci)

  Derives a GVTFont object of the correct size.

  Specified by:
    `deriveFont` in interface `GVTFontFamily`
  Parameters:
    `size` - The required size of the derived font.
    `aci` - The character iterator that will be rendered using the derived font.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.